/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.creditCardProcessing;

import net.chrisrichardson.foodToGo.util.*;

import java.io.*;
 
/**
 * Contains the payment information of an order or pending order
 */
 
public class PaymentInformation implements Serializable {
    protected String type;
    protected String name;
    protected String number;
    protected int month;
    protected int year;
    private Address address;

    public PaymentInformation() {
    }

    public PaymentInformation(String type, String name, String number, int month, int year, Address address) {
        this.type = type;
        this.name = name;
        this.number = number;
        this.month = month;
        this.year = year;
        this.address = address;
    }

    public String getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    public String getNumber() {
        return number;
    }

    public int getMonth() {
        return month;
    }

    public int getYear() {
        return year;
    }

    public Address getAddress() {
        return address;
    }
}
