package net.chrisrichardson.foodToGo.order;

import net.chrisrichardson.foodToGo.util.events.*;

/*
 * Creates orders
 */
 
public class OrderFactory {

    private static OrderFactoryImpl impl;
    
    public static void setImplementation(OrderFactoryImpl impl) {
        OrderFactory.impl = impl;
    }
 
    public static String createOrder(PendingOrder pendingOrder) {
        String orderId = impl.createOrder(pendingOrder);
        publishOrderCreatedEvent(orderId);
        return orderId;
    }

    private static void publishOrderCreatedEvent(String orderId) {
        Event event = new OrderCreatedEvent(orderId);
        EventPublisher.publish(event);
    }


}
