package net.chrisrichardson.foodToGo.order;

import java.util.*;

import net.chrisrichardson.foodToGo.orderService.values.*;
import net.chrisrichardson.foodToGo.util.*;

public class RestaurantRepository {
    
    private static RestaurantRepositoryImpl impl;

    public static void setImplementation(RestaurantRepositoryImpl impl) {
        RestaurantRepository.impl = impl;
    }
    
    public static RestaurantValuePagedCollection getRestaurantsThatServeZipCodeAndTime(
        Address deliveryAddress,
        Date deliveryTime) {
            return impl.getRestaurantsThatServeZipCodeAndTime(deliveryAddress, deliveryTime);
        }

    public static boolean isRestaurantAvailable(
        Address deliveryAddress,
        Date deliveryDate) {
            return impl.isRestaurantAvailable(deliveryAddress, deliveryDate);
        }
        
    public static Restaurant findRestaurant(String restaurantId) {
        return impl.findRestaurant(restaurantId);
    }
        
    public static String getObjectId(Restaurant restaurant) {
        return impl.getObjectId(restaurant);
    }

    public static String getObjectId(MenuItem menuItem) {
        return impl.getObjectId(menuItem);
    }

}
