package net.chrisrichardson.foodToGo.order;

import java.util.*;

public class TimeRange {
    
    private Date openTime;
    private Date closeTime;
    
    public TimeRange(Date openTime, Date closeTime) {
        this.openTime = openTime;
        this.closeTime = closeTime;
    }
    
    public boolean isOpenAtThisTime(Date date) {
        long timeOfDay = getTimeOfDay(date);
        long openTimeOfDay = getTimeOfDay(openTime);
        long closeTimeOfDay = getTimeOfDay(closeTime);
        return timeOfDay >= openTimeOfDay && timeOfDay < closeTimeOfDay;
    }

    private long getTimeOfDay(Date date) {
        return date.getTime() % (24 * 60 * 60 * 1000);
    }


	public Date getOpenTime() {
		return openTime;
	}

	public Date getCloseTime() {
		return closeTime;
	}
    


}
