package net.chrisrichardson.foodToGo.order.jdoImpl;

import java.io.*;
import java.util.*;

import javax.jdo.*;
import junit.framework.*;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.order.testImpl.*;

public class JDORestaurantTests extends JDOTestCase {

    PendingOrderTestData data;

    public JDORestaurantTests(String name) {
        super(name);
    }

    protected void setUp() throws Exception {
        super.setUp();
        data = TestDomainConfigurator.initialize();
    }

     public Restaurant getRestaurant() {
        JDORestaurantRepositoryImpl rep = new JDORestaurantRepositoryImpl();
        return rep.findRestaurant(PendingOrderTestData.RESTAURANT_ID1);
    }

   public void testName() throws Exception {
        Restaurant r = getRestaurant();
        assertEquals(data.restaurant1.getName(), r.getName());
    }

    public void testMenuItems() throws Exception {
        Restaurant r = getRestaurant();
        MenuItemCollection menuItems = r.findMenuItems();
        assertTrue(!menuItems.isEmpty());
    }

    public void testIsInServiceArea() throws Exception {
        Restaurant r = getRestaurant();
        Date during = PendingOrderTestData.getTimeTomorrow(20);
        assertTrue(!r.isInServiceArea(PendingOrderTestData.ADDRESS2, during));
        assertTrue(r.isInServiceArea(PendingOrderTestData.ADDRESS1, during));
    }

}
