package net.chrisrichardson.foodToGo.order.jdoImpl;

import java.io.*;
import java.util.*;

import javax.jdo.*;

import net.chrisrichardson.foodToGo.util.*;
import net.chrisrichardson.foodToGo.order.*; 

public class JDOTestDataLoader {

	public JDOTestDataLoader() {
	}
    
    public void loadData() throws Exception {
        
        TestData data = new JDOPendingOrderTestData();
        
        Collection allObjects = data.getAllObjects();
        Map namedObjects = data.getNamedObjects();
        
        JDOTestCaseHelper helper = new JDOTestCaseHelper();
        helper.setUp();
        
        PersistenceManager pm = helper.getPm();
        
        pm.makePersistentAll(allObjects);
        
        Properties props = new Properties();
        
        for (Iterator it = namedObjects.entrySet().iterator(); it.hasNext();) {
			Map.Entry entry= (Map.Entry) it.next();
            String name = (String) entry.getKey();
            Object object = entry.getValue();
            String objectId = pm.getObjectId(object).toString();
            props.put(name, objectId);		 
		}
        
        helper.tearDown();
        
        FileOutputStream fos = new FileOutputStream("objectid.properties");
        props.store(fos, null);
        fos.close();
    }
    
    public static void main(String[] args) throws Exception {
        JDOTestDataLoader loader = new JDOTestDataLoader();
        loader.loadData();
    }

}
