package net.chrisrichardson.foodToGo.order.testImpl;

import java.util.*;

import javax.ejb.*;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.orderService.values.*;
import net.chrisrichardson.foodToGo.util.*;

/*
 * In memory restaurant repository
 */
 
public class TestRestaurantRepositoryImpl implements RestaurantRepositoryImpl {

    private PendingOrderTestData data;

    public TestRestaurantRepositoryImpl(PendingOrderTestData data) {
        this.data = data;
    }

    public RestaurantValuePagedCollection getRestaurantsThatServeZipCodeAndTime(
        Address deliveryAddress,
        Date deliveryTime) {

        RestaurantValueCollection result = new RestaurantValueCollection();
        for (Iterator iter = data.restaurants.iterator(); iter.hasNext();) {
            Restaurant restaurant = (Restaurant) iter.next();
            if (restaurant.isInServiceArea(deliveryAddress, deliveryTime))
                result.add(
                    new RestaurantValue(
                        getObjectId(restaurant),
                        restaurant.getName()));

        };
        return new RestaurantValuePagedCollection(
            result.size(),
            1,
            result.size(),
            result);
    }

    public boolean isRestaurantAvailable(Address deliveryAddress, Date deliveryDate) {
        for (Iterator it = data.restaurants.iterator(); it.hasNext();) {
            Restaurant restaurant = (Restaurant) it.next();
            if (restaurant.isInServiceArea(deliveryAddress, deliveryDate))
                return true;

        }
        return false;
    }

    public Restaurant findRestaurant(String restaurantId) {
        return (Restaurant)data.getObjectById(Restaurant.class, restaurantId);
    }

    public String getObjectId(MenuItem menuItem) {
        return data.getObjectId(menuItem);
    }

    public String getObjectId(Restaurant restaurant) {
        return data.getObjectId(restaurant);
    }

}
