package net.chrisrichardson.foodToGo.orderService.impl;

/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */

import java.rmi.*;
import java.util.*;

import junit.framework.*;

import net.chrisrichardson.foodToGo.creditCardProcessing.*;
import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.order.testImpl.*;
import net.chrisrichardson.foodToGo.orderService.*;
import net.chrisrichardson.foodToGo.orderService.values.*;
import net.chrisrichardson.foodToGo.util.*;

/**
 * InMemory Tests for the DBProcessOrderManager
 */

public class DBProcessOrderManagerTests extends BaseDBProcessOrderTests {

	public DBProcessOrderManagerTests(String s) {
		super(s);
	}

	private DBProcessOrderManager manager;
        
	protected void setUp() throws Exception {
		super.setUp();
		manager = new DBProcessOrderManager();
        manager.initialize();
	}

	protected void configure() {
		TestDomainConfigurator.initialize();
	}

	protected CheckoutResponse checkout(String pendingOrderId) {
		return manager.checkout(pendingOrderId);
	}

	protected EnterDeliveryAddressAndTimeResponse confirmDeliveryAddressAndTimeChange(
		String pendingOrderId,
		Address address,
		Date goodDeliveryTime) {
		return manager.confirmDeliveryAddressAndTimeChange(
			pendingOrderId,
			address,
			goodDeliveryTime);
	}

	protected EnterDeliveryAddressAndTimeResponse enterDeliveryAddressAndTime(
		String pendingOrderId,
		Address address,
		Date goodDeliveryTime) {
		return manager.enterDeliveryAddressAndTime(
			pendingOrderId,
			address,
			goodDeliveryTime);
	}

	protected EnterPaymentInformationResponse enterPaymentInformation(
		String pendingOrderId,
		PaymentInformation paymentInformation) {
		return manager.enterPaymentInformation(pendingOrderId, paymentInformation);
	}

	protected PlaceOrderResponse placeOrder(String pendingOrderId) {
		return manager.placeOrder(pendingOrderId);
	}

	protected SelectRestaurantResponse selectRestaurant(
		String pendingOrderId,
		String restaurantId) {
		return manager.selectRestaurant(pendingOrderId, restaurantId);
	}

	protected UpdateQuantitiesResponse updateQuantities(
		String pendingOrderId,
		int[] quantities) {
		return manager.updateQuantities(pendingOrderId, quantities);
	}

}
