package net.chrisrichardson.foodToGo.orderService.impl;

import java.rmi.*;
import java.util.*;

import net.chrisrichardson.foodToGo.creditCardProcessing.*;
import net.chrisrichardson.foodToGo.orderService.*;
import net.chrisrichardson.foodToGo.orderService.values.*;
import net.chrisrichardson.foodToGo.util.*;

/**
 * The tests for the session bean
 */

public class DBProcessOrderServiceBeanTests extends BaseDBProcessOrderTests {

	public DBProcessOrderServiceBeanTests(String s) {
		super(s);
	}

	DBProcessOrderService service;

	protected void setUp() throws Exception {
		super.setUp();
		DBProcessOrderServiceHome home =
			(DBProcessOrderServiceHome) EJBHomeFactory.getInstance().lookup(
				"DBProcessOrderServiceHome",
				DBProcessOrderServiceHome.class);
		service = home.create();
	}

	protected CheckoutResponse checkout(String pendingOrderId) throws RemoteException {
		return service.checkout(pendingOrderId);
	}

	protected EnterDeliveryAddressAndTimeResponse confirmDeliveryAddressAndTimeChange(
		String pendingOrderId,
		Address address,
		Date goodDeliveryTime)
		throws RemoteException {
		return service.confirmDeliveryAddressAndTimeChange(
			pendingOrderId,
			address,
			goodDeliveryTime);
	}

	protected EnterDeliveryAddressAndTimeResponse enterDeliveryAddressAndTime(
		String pendingOrderId,
		Address address,
		Date goodDeliveryTime)
		throws RemoteException {
		return service.enterDeliveryAddressAndTime(
			pendingOrderId,
			address,
			goodDeliveryTime);
	}

	protected EnterPaymentInformationResponse enterPaymentInformation(
		String pendingOrderId,
		PaymentInformation paymentInformation)
		throws RemoteException {
		return service.enterPaymentInformation(pendingOrderId, paymentInformation);
	}

	protected PlaceOrderResponse placeOrder(String pendingOrderId)
		throws RemoteException {
		return service.placeOrder(pendingOrderId);
	}

	protected SelectRestaurantResponse selectRestaurant(
		String pendingOrderId,
		String restaurantId)
		throws RemoteException {
		return service.selectRestaurant(pendingOrderId, restaurantId);
	}

	protected UpdateQuantitiesResponse updateQuantities(
		String pendingOrderId,
		int[] quantities)
		throws RemoteException {
		return service.updateQuantities(pendingOrderId, quantities);
	}

	protected void configure() {
	}

}
