/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.orderService.values;

import java.io.*;

public class PendingOrderLineItemValue implements Serializable {

    private MenuItemValue menuItem;
    private int quantity;

    public PendingOrderLineItemValue() {
    }

    public PendingOrderLineItemValue(MenuItemValue menuItem) {
        this.menuItem = menuItem;
    }

    public PendingOrderLineItemValue(MenuItemValue menuItem, int quantity) {
        this.menuItem = menuItem;
        this.quantity = quantity;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public MenuItemValue getMenuItem() {
        return menuItem;
    }

    public String getMenuItemId() {
        return menuItem.getId();
    }

    public String getName() {
        return menuItem.getName();
    }

    public double getPrice() {
        return menuItem.getPrice();
    }

    public double getExtendedPrice() {
        return getPrice() * getQuantity();
    }

}
