/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.orderService.values;

import net.chrisrichardson.foodToGo.creditCardProcessing.*;
import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.util.*;

import java.util.*;
import java.io.*;

public class PendingOrderValue implements Serializable {

    private Address deliveryAddress;
    private Date deliveryDate;
    private RestaurantValue restaurantValue;
    private PendingOrderLineItemValueCollection lineItems;
    private PaymentInformation paymentInformation;

    private double subtotal;
    private double deliveryCharges;
    private double salesTax;
    private double total;

    public PendingOrderValue() {
    }

    public PendingOrderValue(Address deliveryAddress, Date deliveryDate, RestaurantValue restaurantValue, PendingOrderLineItemValueCollection lineItems, PaymentInformation paymentInformation, double subtotal, double deliveryCharges, double salesTax, double total) {
        this.deliveryAddress = deliveryAddress;
        this.deliveryDate = deliveryDate;
        this.restaurantValue = restaurantValue;
        this.lineItems = lineItems;
        this.paymentInformation = paymentInformation;
        this.subtotal = subtotal;
        this.deliveryCharges = deliveryCharges;
        this.salesTax = salesTax;
        this.total = total;
    }

    public Address getDeliveryAddress() {
        return deliveryAddress;
    }

    public Date getDeliveryDate() {
        return deliveryDate;
    }

    public RestaurantValue getRestaurant() {
        return restaurantValue;
    }

    public PendingOrderLineItemValueCollection getLineItems() {
        return lineItems;
    }

    public double getSubtotal() {
        return subtotal;
    }

    public double getDeliveryCharges() {
        return deliveryCharges;
    }

    public double getSalesTax() {
        return salesTax;
    }

    public double getTotal() {
        return total;
    }

    public PaymentInformation getPaymentInformation() {
        return paymentInformation;
    }


}
