/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.orderService.values;


import net.chrisrichardson.foodToGo.orderService.values.*;

import java.io.*;
import java.util.*;

/*
 * Base class for value objects returned by the ProcessOrderService
 */

public class ProcessOrderServiceResponse implements Serializable {
    protected int status;
    private PendingOrderValue pendingOrder;
    private String pendingOrderId;

    protected ProcessOrderServiceResponse() {
    }

    public ProcessOrderServiceResponse(int status, PendingOrderValue pendingOrder) {
        this.status = status;
        this.pendingOrder = pendingOrder;
    }

    public ProcessOrderServiceResponse(int status, String pendingOrderId, PendingOrderValue pendingOrder) {
        this.status = status;
        this.pendingOrderId = pendingOrderId;
        this.pendingOrder = pendingOrder;
    }

    public int getStatus() {
        return status;
    }

    public PendingOrderValue getPendingOrder() {
        return pendingOrder;
    }

    public Iterator getLineItems() {
        return pendingOrder.getLineItems().iterator();
    }

    public String getPendingOrderId() {
      return pendingOrderId;
    }
}
