/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.util;

import java.io.*;

public class Address implements Serializable {
    protected String street1;
    protected String street2;
    protected String city;
    protected String state;
    protected String zip;

    public Address() {
    }

    public boolean equals(Object object) {
        if (object == null) return false;
        if (!(object instanceof Address)) return false;

        Address other = (Address) object;

        return safeEquals(street1, other.street1) &&
                safeEquals(street2, other.street2) &&
                safeEquals(city, other.city) &&
                safeEquals(state, other.state) &&
                safeEquals(zip, other.zip);
    }

    boolean safeEquals(String x, String y) {
        return x == null || y == null ? x == null : x.equals(y);
    }

    int safeHash(String x) {
        return x == null ? 0 : x.hashCode();
    }

    public int hashCode() {
        return safeHash(street1) ^
                safeHash(street2) ^
                safeHash(city) ^
                safeHash(state) ^
                safeHash(zip);
    }

    public Address(String street1, String street2, String city, String state, String zip) {
        this.street1 = street1;
        this.street2 = street2;
        this.city = city;
        this.state = state;
        this.zip = zip;
    }

    public String getStreet1() {
        return street1;
    }

    public void setStreet1(String street1) {
        this.street1 = street1;
    }

    public String getStreet2() {
        return street2;
    }

    public void setStreet2(String street2) {
        this.street2 = street2;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getZip() {
        return zip;
    }

    public void setZip(String zip) {
        this.zip = zip;
    }
}
