package net.chrisrichardson.foodToGo.util;

import java.io.*;
import java.lang.reflect.*;
import java.util.*;

import net.chrisrichardson.foodToGo.util.*;

public abstract class TestData {

	public static void loadObjectIds(Class type) {
		try {
			FileInputStream fis = new FileInputStream("objectid.properties");
			Properties map = new Properties();
			map.load(fis);
			fis.close();
			for (Iterator it = map.keySet().iterator(); it.hasNext();) {
				String name = (String) it.next();
				String id = (String) map.get(name);
				try {
					Field field = type.getField(name);
					field.set(null, id);
				} catch (NoSuchFieldException e) {
					e.printStackTrace();
				} catch (IllegalAccessException e) {
					e.printStackTrace();
				}
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	private static HashMap objectIds = new HashMap();
	private static int idCounter = 1;

	protected static HashMap namedObjects = new HashMap();

	public String getObjectId(Object object) {
		String id = (String) objectIds.get(object);
		if (id != null)
			return id;
		id = "id-" + idCounter++;
		save(null, id, object);
		return id;
	}

	public Object getObjectById(Class type, String id) {
		for (Iterator it = objectIds.entrySet().iterator(); it.hasNext();) {
			Map.Entry entry = (Map.Entry) it.next();
			String anId = (String) entry.getValue();
			Object object = entry.getKey();
			if (anId.equals(id) && type.isInstance(object))
				return object;
		}
		throw new NotYetImplementedException("Not Found: " + type + ", id=" + id);
	}

	public void save(String name, String id, Object object) {
		if (name != null)
			namedObjects.put(name, object);
		if (id != null)
			objectIds.put(object, id);
	}
    
    public HashMap getNamedObjects() {
        return namedObjects;
    }

	public abstract Collection getAllObjects();

}
